%{
#include "struct.h"
#include "paths.h"
extern char sUwrastr[LARGE];
extern char samAsaprakAra[MEDIUM];
%}
%option nounput
%option noinput

%%
^1\.4\.61	{strcpy(samAsaprakAra,"wawpuruRa"); strcpy(sUwrastr,"ऊर्यादिच्विडाचश्च 1.4.61"); }
^1\.4\.62	{strcpy(samAsaprakAra,"wawpuruRa"); strcpy(sUwrastr,"अनुकरणं चानितिपरम् 1.4.62"); }
^1\.4\.63	{strcpy(samAsaprakAra,"wawpuruRa"); strcpy(sUwrastr,"आदरानादरयोः सदसती 1.4.63"); }
^1\.4\.64	{strcpy(samAsaprakAra,"wawpuruRa"); strcpy(sUwrastr,"भूषणे अलम् 1.4.64"); }
^1\.4\.65	{strcpy(samAsaprakAra,"wawpuruRa"); strcpy(sUwrastr,"अन्तरपरिग्रहे 1.4.65"); }
^1\.4\.66	{strcpy(samAsaprakAra,"wawpuruRa"); strcpy(sUwrastr,"कणेमनसी श्रद्धाप्रतीघाते 1.4.66"); }
^1\.4\.67	{strcpy(samAsaprakAra,"wawpuruRa"); strcpy(sUwrastr,"पुरोऽव्ययम् 1.4.67"); }
^1\.4\.68	{strcpy(samAsaprakAra,"wawpuruRa"); strcpy(sUwrastr,"अस्तं च 1.4.68"); }
^1\.4\.69	{strcpy(samAsaprakAra,"wawpuruRa"); strcpy(sUwrastr,"अच्छगत्यर्थवदेषु 1.4.69"); }
^1\.4\.70	{strcpy(samAsaprakAra,"wawpuruRa"); strcpy(sUwrastr,"अदोऽनुपदेशे 1.4.70"); }
^1\.4\.72	{strcpy(samAsaprakAra,"wawpuruRa"); strcpy(sUwrastr,"विभाषा कृञि 1.4.72"); }
^1\.4\.73	{strcpy(samAsaprakAra,"wawpuruRa"); strcpy(sUwrastr,"उपाजे अन्वाजे 1.4.73"); }
^1\.4\.75	{strcpy(samAsaprakAra,"wawpuruRa"); strcpy(sUwrastr,"अनत्याधाने उरसिमनसी 1.4.75"); }
^1\.4\.76	{strcpy(samAsaprakAra,"wawpuruRa"); strcpy(sUwrastr,"मध्ये पदे निवचने च 1.4.76"); }
^1\.4\.77	{strcpy(samAsaprakAra,"wawpuruRa"); strcpy(sUwrastr,"नित्यं हस्ते पाणौ उपयमने 1.4.77"); }
^1\.4\.78	{strcpy(samAsaprakAra,"wawpuruRa"); strcpy(sUwrastr,"प्राध्वं बन्धने 1.4.78"); }
^1\.4\.79	{strcpy(samAsaprakAra,"wawpuruRa"); strcpy(sUwrastr,"जीविकोपनिषदवौपम्ये 1.4.79"); }

^2\.1\.10	{strcpy(samAsaprakAra,"avyayIBAvaH"); strcpy(sUwrastr,"अक्षशलाकासंख्या परिणा 2.1.10"); }
^2\.1\.12	{strcpy(samAsaprakAra,"avyayIBAvaH"); strcpy(sUwrastr,"अपपरिबहिरञ्चवः फञ्चंया 2.1.12"); }
^2\.1\.13	{strcpy(samAsaprakAra,"avyayIBAvaH"); strcpy(sUwrastr,"आङ् मर्यादाभिविध्योः 2.1.13"); }
^2\.1\.14	{strcpy(samAsaprakAra,"avyayIBAvaH"); strcpy(sUwrastr,"लक्षणेनाभिप्रती आभिमुख्ये 2.1.14"); }
^2\.1\.15	{strcpy(samAsaprakAra,"avyayIBAvaH"); strcpy(sUwrastr,"अनुर्यत्समया 2.1.15"); }
^2\.1\.16	{strcpy(samAsaprakAra,"avyayIBAvaH"); strcpy(sUwrastr,"यस्य चायामः 2.1.16"); }
^2\.1\.18	{strcpy(samAsaprakAra,"avyayIBAvaH"); strcpy(sUwrastr,"पारे मध्ये षष्ठ्या वा 2.1.18"); }
^2\.1\.19	{strcpy(samAsaprakAra,"avyayIBAvaH"); strcpy(sUwrastr,"संख्या वांश्येन 2.1.19"); }
^2\.1\.20	{strcpy(samAsaprakAra,"avyayIBAvaH"); strcpy(sUwrastr,"नदीभिश्च 2.1.20"); }
^2\.1\.21	{strcpy(samAsaprakAra,"avyayIBAvaH"); strcpy(sUwrastr,"अन्यपदार्थे च सञ्ज्ञायाम् 2.1.21"); }
^2\.1\.24	{strcpy(samAsaprakAra,"wawpuruRa"); strcpy(sUwrastr,"द्वितीया श्रितातीतपतितगतात्यस्तप्राप्तापन्नैः 2.1.24"); }
^2\.1\.25	{strcpy(samAsaprakAra,"wawpuruRa"); strcpy(sUwrastr,"स्वयम् क्तेन 2.1.25"); }
^2\.1\.26	{strcpy(samAsaprakAra,"wawpuruRa"); strcpy(sUwrastr,"खट्वा क्षेपे 2.1.26"); }
^2\.1\.27	{strcpy(samAsaprakAra,"wawpuruRa"); strcpy(sUwrastr,"सामि 2.1.27"); }
^2\.1\.28	{strcpy(samAsaprakAra,"wawpuruRa"); strcpy(sUwrastr,"कालाः 2.1.28"); }
^2\.1\.29	{strcpy(samAsaprakAra,"wawpuruRa"); strcpy(sUwrastr,"अत्यन्तसंयोगे च 2.1.29"); }
^2\.1\.30	{strcpy(samAsaprakAra,"wawpuruRa"); strcpy(sUwrastr,"तृतीया तत्कृतार्थेन गुणवचनेन 2.1.30"); }
^2\.1\.31	{strcpy(samAsaprakAra,"wawpuruRa"); strcpy(sUwrastr,"पूर्वसदृशसमोनार्थकलहनिपुणमिश्रश्लक्ष्णैः 2.1.31"); }
^2\.1\.32	{strcpy(samAsaprakAra,"wawpuruRa"); strcpy(sUwrastr,"कर्तृकरणे कृता बहुलम् 2.1.32"); }
^2\.1\.34	{strcpy(samAsaprakAra,"wawpuruRa"); strcpy(sUwrastr,"अन्नेन व्यञ्जनम् 2.1.34"); }
^2\.1\.35 	{strcpy(samAsaprakAra,"wawpuruRa"); strcpy(sUwrastr,"भक्ष्येण मिश्रीकरणम् 2.1.35"); }
^2\.1\.36	{strcpy(samAsaprakAra,"wawpuruRa"); strcpy(sUwrastr,"चतुर्थी तदर्थार्थबलिहितसुखरक्षितैः 2.1.36"); }
^2\.1\.37	{strcpy(samAsaprakAra,"wawpuruRa"); strcpy(sUwrastr,"पञ्चमी भयेन 2.1.37"); }
^2\.1\.38	{strcpy(samAsaprakAra,"wawpuruRa"); strcpy(sUwrastr,"अपेतापोढमुक्तपतितापत्रस्थैरल्पशः 2.1.38"); }
^2\.1\.39	{strcpy(samAsaprakAra,"wawpuruRa"); strcpy(sUwrastr,"स्तोकान्तिकदूरर्थकृच्छ्राणि क्तेन 2.1.39"); }
^2\.1\.4 	{strcpy(samAsaprakAra,""); strcpy(sUwrastr,"सह सुपा 2.1.4"); }
^2\.1\.40	{strcpy(samAsaprakAra,"wawpuruRa"); strcpy(sUwrastr,"सप्तमी शौण्डैः 2.1.40"); }
^2\.1\.41	{strcpy(samAsaprakAra,"wawpuruRa"); strcpy(sUwrastr,"सिद्धशुष्कपक्वबन्धैश्च 2.1.41"); }
^2\.1\.42	{strcpy(samAsaprakAra,"wawpuruRa"); strcpy(sUwrastr,"ध्वाङ्क्षेण क्षेपे 2.1.42"); }
^2\.1\.43	{strcpy(samAsaprakAra,"wawpuruRa"); strcpy(sUwrastr,"कृत्यैर्ऋणे 2.1.43"); }
^2\.1\.44	{strcpy(samAsaprakAra,"wawpuruRa"); strcpy(sUwrastr,"सञ्ज्ञायाम् 2.1.44"); }
^2\.1\.45	{strcpy(samAsaprakAra,"wawpuruRa"); strcpy(sUwrastr,"क्तेनाहोरात्रवयवाः 2.1.45"); }
^2\.1\.46	{strcpy(samAsaprakAra,"wawpuruRa"); strcpy(sUwrastr,"तत्र 2.1.46"); }
^2\.1\.47	{strcpy(samAsaprakAra,"wawpuruRa"); strcpy(sUwrastr,"क्षेपे 2.1.47"); }
^2\.1\.49	{strcpy(samAsaprakAra,"wawpuruRa"); strcpy(sUwrastr,"पूर्वकालैकसर्वजरत्पुराणनवकेवलाः समानाधिकरणेन 2.1.49"); }
^2\.1\.50	{strcpy(samAsaprakAra,"wawpuruRa"); strcpy(sUwrastr,"दिक्सङ्ख्ये सञ्ज्ञायां 2.1.50"); }
^2\.1\.52	{strcpy(samAsaprakAra,"wawpuruRa"); strcpy(sUwrastr,"सङ्ख्यापूर्वो द्विगुः 2.1.52"); }
^2\.1\.53	{strcpy(samAsaprakAra,"wawpuruRa"); strcpy(sUwrastr,"कुत्सितानि कुत्सनैः 2.1.53"); }
^2\.1\.54	{strcpy(samAsaprakAra,"wawpuruRa"); strcpy(sUwrastr,"पापाणके कुत्सितैः 2.1.54"); }
^2\.1\.55	{strcpy(samAsaprakAra,"wawpuruRa"); strcpy(sUwrastr,"उपमाननि समान्यवचनैः 2.1.55"); }
^2\.1\.56	{strcpy(samAsaprakAra,"wawpuruRa"); strcpy(sUwrastr,"उपमितं व्याघ्रादिभिः सामान्याप्रयोगे 2.1.56"); }
^2\.1\.57	{strcpy(samAsaprakAra,"wawpuruRa"); strcpy(sUwrastr,"विशेषणम् विशेष्येण बहुलम् 2.1.57"); }
^2\.1\.58	{strcpy(samAsaprakAra,"wawpuruRa"); strcpy(sUwrastr,"पूर्वापरप्रथमचरमजघन्यसमानमध्यमध्यमवीराश्च 2.1.58"); }
^2\.1\.6 	{strcpy(samAsaprakAra,"avyayIBAvaH"); strcpy(sUwrastr,"अव्ययं विभक्तिसमीपसमृद्धिव्यृद्ध्यर्थाभावात्ययासम्प्रतिशब्दप्रादुर्भावपश्चाद्यथानुपूर्व्ययौगपद्यसादृश्यसम्पत्तिसाकल्यान्तवचनेषु 2.1.6"); }
^2\.1\.60	{strcpy(samAsaprakAra,"wawpuruRa"); strcpy(sUwrastr,"क्तेन नञ्विशिष्टेनानञ् 2.1.60"); }
^2\.1\.61	{strcpy(samAsaprakAra,"wawpuruRa"); strcpy(sUwrastr,"सन्महत्परमोत्तमोत्कृष्टाः पूज्यमानैः 2.1.61"); }
^2\.1\.62	{strcpy(samAsaprakAra,"wawpuruRa"); strcpy(sUwrastr,"वृन्दारकनागकुञ्जरैः पूज्यमानम् 2.1.62"); }
^2\.1\.63	{strcpy(samAsaprakAra,"wawpuruRa"); strcpy(sUwrastr,"कतरकतमौ जातिपरिप्रश्ने 2.1.63"); }
^2\.1\.64	{strcpy(samAsaprakAra,"wawpuruRa"); strcpy(sUwrastr,"किं क्षेपे 2.1.64"); }
^2\.1\.65	{strcpy(samAsaprakAra,"wawpuruRa"); strcpy(sUwrastr,"पोटायुवतिस्तोककतिपगृष्टिधेनुवशावेहत्बष्कयणीप्रवक्तृश्रोत्रियाध्यापकधूर्थैर्जातिः 2.1.65"); }
^2\.1\.66	{strcpy(samAsaprakAra,"wawpuruRa"); strcpy(sUwrastr,"प्रशंसावचनैश्च 2.1.66"); }
^2\.1\.67	{strcpy(samAsaprakAra,"wawpuruRa"); strcpy(sUwrastr,"युवा खलतिपलितवलिनजरतीभिः 2.1.67"); }
^2\.1\.69	{strcpy(samAsaprakAra,"wawpuruRa"); strcpy(sUwrastr,"वर्णो वर्णेन 2.1.69"); }
^2\.1\.7 	{strcpy(samAsaprakAra,"avyayIBAvaH"); strcpy(sUwrastr,"यथासादृश्ये 2.1.7"); }
^2\.1\.70	{strcpy(samAsaprakAra,"wawpuruRa"); strcpy(sUwrastr,"कुमारः श्रमणादिभिः 2.1.70"); }
^2\.1\.71	{strcpy(samAsaprakAra,"wawpuruRa"); strcpy(sUwrastr,"चतुष्पादो गर्भिण्या 2.1.71"); }
^2\.1\.8 	{strcpy(samAsaprakAra,"avyayIBAvaH"); strcpy(sUwrastr,"यावदवधारणे 2.1.8"); }
^2\.1\.9 	{strcpy(samAsaprakAra,"avyayIBAvaH"); strcpy(sUwrastr,"सुप्प्रतिना मात्रार्थे 2.1.9"); }

^2\.2\.1 	{strcpy(samAsaprakAra,"wawpuruRa"); strcpy(sUwrastr,"पूर्वापराधरोत्तरमेकदेशिनैकाधिकरणे 2.2.1"); }
^2\.2\.10	{strcpy(samAsaprakAra,"wawpuruRa"); strcpy(sUwrastr,"न निर्धारणे 2.2.10"); }
^2\.2\.17	{strcpy(samAsaprakAra,"wawpuruRa"); strcpy(sUwrastr,"नित्यं क्रीडाजीविकयोः 2.2.17"); }
^2\.2\.18	{strcpy(samAsaprakAra,"wawpuruRa"); strcpy(sUwrastr,"कुगतिप्रादयः 2.2.18"); }
^2\.2\.19	{strcpy(samAsaprakAra,"wawpuruRa"); strcpy(sUwrastr,"उपपदमतिङ् 2.2.19"); }
^2\.2\.2 	{strcpy(samAsaprakAra,"wawpuruRa"); strcpy(sUwrastr,"अर्धम् नपुम्सकम् 2.2.2"); }
^2\.2\.20	{strcpy(samAsaprakAra,"wawpuruRa"); strcpy(sUwrastr,"अमैवाव्ययेन 2.2.20"); }
^2\.2\.21	{strcpy(samAsaprakAra,"wawpuruRa"); strcpy(sUwrastr,"तृतीयाप्रभृतीन्यन्यतरस्याम् 2.2.21"); }
^2\.2\.22	{strcpy(samAsaprakAra,"wawpuruRa"); strcpy(sUwrastr,"क्त्वा च 2.2.22"); }
^2\.2\.24	{strcpy(samAsaprakAra,"bahuvrIhi"); strcpy(sUwrastr,"अनेकमन्यपदार्थे 2.2.24"); }
^2\.2\.27	{strcpy(samAsaprakAra,"bahuvrIhi"); strcpy(sUwrastr,"तत्र तेनेदमिति सरूपे 2.2.27"); }
^2\.2\.28	{strcpy(samAsaprakAra,"bahuvrIhi"); strcpy(sUwrastr,"तेन सहेति तुल्ययोगे 2.2.28"); }
^2\.2\.29	{strcpy(samAsaprakAra,"xvanxva"); strcpy(sUwrastr,"चार्थे द्वन्द्वः 2.2.29"); }
^2\.2\.3	{strcpy(samAsaprakAra,"wawpuruRa"); strcpy(sUwrastr,"द्वितीयतृतीयचतुर्थतुर्याणिअन्यतरस्याम् 2.2.3"); }
^2\.2\.4 	{strcpy(samAsaprakAra,"wawpuruRa"); strcpy(sUwrastr,"प्राप्तापन्ने च द्वितीयया 2.2.4"); }
^2\.2\.5 	{strcpy(samAsaprakAra,"wawpuruRa"); strcpy(sUwrastr,"कालाः परिमाणिना 2.2.5"); }
^2\.2\.6	{strcpy(samAsaprakAra,"wawpuruRa"); strcpy(sUwrastr,"नञ् 2.2.6"); }
^2\.2\.7 	{strcpy(samAsaprakAra,"wawpuruRa"); strcpy(sUwrastr,"ईषदकृता 2.2.7"); }
^2\.2\.8 	{strcpy(samAsaprakAra,"wawpuruRa"); strcpy(sUwrastr,"षष्ठी 2.2.8"); }
^2\.2\.9 	{strcpy(samAsaprakAra,"wawpuruRa"); strcpy(sUwrastr,"याजकादिभिश्च 2.2.9"); }

^2\.4\.5	{strcpy(samAsaprakAra,"xvanxva"); strcpy(sUwrastr,"अध्ययनतोऽविप्रकृष्टाख्यानाम् 2.4.5"); }
^2\.4\.9	{strcpy(samAsaprakAra,"xvanxva"); strcpy(sUwrastr,"येषां च विरोधः शाश्वतिकः 2.4.9"); }

^3\.1\.92	{strcpy(samAsaprakAra,"wawpuruRa"); strcpy(sUwrastr,"तत्रोपपदं सप्तमीस्थम् 3.1.92"); }

^5\.4\.69	{strcpy(samAsaprakAra,"wawpuruRa"); strcpy(sUwrastr,"न पूजनात् 5.4.69"); }
^5\.4\.84	{strcpy(samAsaprakAra,"wawpuruRa"); strcpy(sUwrastr,"द्विस्तावा त्रिस्तावा वेदिः 5.4.84"); }

^6\.3\.30	{strcpy(samAsaprakAra,"xvanxva"); strcpy(sUwrastr,"दिवसश्च पृथिव्याम् 6.3.30"); }
^6\.3\.32	{strcpy(samAsaprakAra,"xvanxva"); strcpy(sUwrastr,"मातरपितरौ उदीचाम् 6.3.32"); }
^6\.3\.25	{strcpy(samAsaprakAra,"xvanxva"); strcpy(sUwrastr,"आनङृतो द्वन्द्वे 6.3.25"); }
^6\.3\.27	{strcpy(samAsaprakAra,"xvanxva"); strcpy(sUwrastr,"ईदग्नेः सोमवरुणयोः 6.3.27"); }
^6\.3\.46	{strcpy(samAsaprakAra,"xvanxva"); strcpy(sUwrastr,"आन्महतः समानाधिकरणजातीययोः 6.3.46"); }
^6\.3\.48	{strcpy(samAsaprakAra,"xvanxva"); strcpy(sUwrastr,"त्रेस्त्रयः 6.3.48"); }
^6\.3\.81	{strcpy(samAsaprakAra,"avyayIBAvaH"); strcpy(sUwrastr,"अव्ययीभावे चाकाले 6.3.81"); }
^.*	{ printf("ERROR; %s not covered",yytext);strcpy(samAsaprakAra,""); strcpy(sUwrastr,""); exit(0);}
%%

char samAsaprakAra[MEDIUM];
char sUwrastr[LARGE];
void print_samAsaprakAra();
void call_samAsaprakAralex();
void cnvrtwx2utf();
void cnvrtutfd2r();

int main (int argc, char *argv[]) {
char cmd[MEDIUM];
char avigraha[MEDIUM];
char samAsaprakAra_utf[MEDIUMUTF];
char samAsaprakAra_utfr[MEDIUMUTF];
char avigraha_utf[MEDIUMUTF];
char avigraha_utfr[MEDIUMUTF];
char sUwrastr_utfr[MEDIUMUTF];
char sUwrasaMKyA[SMALL];
char encoding[MEDIUM];

 /* argv[1] : encoding
    argv[2] : avigraha
    argv[3] : prAwipaxikam1
    argv[4] : sup1
    argv[5] : prAwipaxikam2
    argv[6] : sup2
    argv[7] : sUwrasaMKyA
 */

  strcpy(encoding,argv[1]);
  strcpy(avigraha,argv[2]);
  strcpy(sUwrasaMKyA,argv[7]);

  //cnvrtwx2utf(argv[2],in);

  //printf("<center><h4><font color=\"blue\">");
  //printf("%s",in);
  //printf(" (%s) </font></h4></center>\n",instring);

  call_samAsaprakAralex(sUwrasaMKyA);

  cnvrtwx2utf(samAsaprakAra,samAsaprakAra_utf);
  cnvrtwx2utf(avigraha,avigraha_utf);

  if (!strcmp(encoding,"RMN")){

     cnvrtutfd2r(avigraha_utf,avigraha_utfr);
     cnvrtutfd2r(samAsaprakAra_utf,samAsaprakAra_utfr);
     cnvrtutfd2r(sUwrastr,sUwrastr_utfr);
   
     print_samAsaprakAra(avigraha_utfr, "samāsaprakāraḥ", samAsaprakAra_utfr,sUwrastr_utfr);
  } else {
     print_samAsaprakAra(avigraha_utf,"समासप्रकारः",samAsaprakAra_utf,sUwrastr);
  }

  sprintf(cmd,"%s/skt_gen/compounds/samAsAnwa.out \"%s\" \"%s\" \"%s\" \"%s\" \"%s\" \"%s\" \"%s\" \"%s\"",SCLINSTALLDIR, encoding,avigraha,argv[3],argv[4],argv[5],argv[6],sUwrasaMKyA,samAsaprakAra); 
  system(cmd);
  return 1; 
}

void call_samAsaprakAralex(char *in){
  yy_scan_string(in);
  yylex();
}

int yywrap()
{
return 1;
}

void print_samAsaprakAra (char *avigraha, char *title, char *samAsaprakAra, char *sUwra)
  {
     printf("<table><tr>");
     printf("<td><font color=\"blue\"> %s",avigraha);
     printf("</font></td>");
     printf("<td><font color=\"green\">%s  %s", title, samAsaprakAra);
     printf("</font></td>");
     printf("<td><font color=\"red\"> %s </font></td>",sUwra);
     fflush(stdout);
  }
